#ifndef __DATEBOX_H_
#define __DATEBOX_H_

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

#define DATEBOX(obj) 	     GTK_CHECK_CAST(obj,datebox_get_type(),Datebox)
#define DATEBOX_CLASS(klass) GTK_CHECK_CLASS_CAST(klass,datebox_get_type(),DateboxClass)
#define IS_DATEBOX(obj)	     GTK_CHECK_TYPE(obj,datebox_get_type())

typedef struct _Datebox	     Datebox;
typedef struct _DateboxClass DateboxClass;

struct _Datebox {
  GtkHBox   hbox;		/* we keep the entries here 		*/
  GtkWidget *dd,*mm,*yy;	/* entries for the date, month and year */
};
 
struct _DateboxClass {
  GtkHBoxClass parent_class;
  void (*datebox) (Datebox *ttt);
};

guint 		 datebox_get_type (void);
GtkWidget	*datebox_new (void);

#ifdef __cplusplus
}
#endif /* __cplusplus  */
#endif /* __DATEBOX_H_ */
