#include <redbook.h>
#include <redsql.h>

void w_sql_query () {
  GtkWidget *sql_query,*TopBox,
                *Stable,
                *q_lab,*q_scroll,*q_ent,
                *r_lab,*r_scroll,*r_ent,
                *list_item,
                    *sql_box,
                      *send_sql,*clear_sql,*cancel_sql;
  char *list_items[] = {
    "       ",
    "  ",
    "    ",
    "     ",
    "   ",
    "       ",
    "      ",
    "  ",
  };
  int nl = sizeof (list_items) / sizeof (list_items[0]);
  register int i;

  sql_query = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title (GTK_WINDOW(sql_query)," SQL-");
  gtk_signal_connect(GTK_OBJECT(sql_query),"delete_event",
		     GTK_SIGNAL_FUNC(close_window),&sql_query);
  gtk_container_border_width (GTK_CONTAINER(sql_query),IN_BORDER);
  gtk_widget_set_usize (sql_query,600,450);
  TopBox = gtk_vbox_new (FALSE,0);

  gtk_container_border_width (GTK_CONTAINER(TopBox),EX_BORDER);
  gtk_container_add (GTK_CONTAINER (sql_query),TopBox);
  gtk_widget_show (TopBox);

  Stable = gtk_table_new (20,5,TRUE);
  gtk_table_set_row_spacings (GTK_TABLE (Stable), 3);
  gtk_table_set_col_spacings (GTK_TABLE (Stable), 20);
  gtk_box_pack_start (GTK_BOX(TopBox),Stable,FALSE,FALSE,0);
  gtk_widget_show (Stable);
  
  /*  */
  q_lab = gtk_label_new ("SQL- :");
  gtk_misc_set_alignment (GTK_MISC(q_lab), 0.0,0.0);
  gtk_table_attach_defaults(GTK_TABLE(Stable),q_lab,0,1, 0,1);
  gtk_widget_show (q_lab);

  q_scroll = gtk_scrolled_window_new (NULL,NULL);
  gtk_container_border_width (GTK_CONTAINER(q_scroll),EX_BORDER);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (q_scroll),
				  GTK_POLICY_AUTOMATIC, 
				  GTK_POLICY_AUTOMATIC);
  gtk_table_attach_defaults (GTK_TABLE(Stable),q_scroll,0,4, 1,8);
  gtk_widget_show (q_scroll);
  q_ent = gtk_text_new (NULL,NULL);
  gtk_text_set_editable(GTK_TEXT(q_ent),TRUE);
  gtk_container_add (GTK_CONTAINER (q_scroll), q_ent);
  gtk_widget_realize (q_ent);
  gtk_widget_show (q_ent);

  r_lab = gtk_label_new (" :");
  gtk_misc_set_alignment (GTK_MISC(r_lab), 0.0,0.0);
  gtk_table_attach_defaults(GTK_TABLE(Stable),r_lab,0,1, 8,9);
  gtk_widget_show (r_lab);

  r_scroll = gtk_scrolled_window_new (NULL,NULL);
  gtk_container_border_width (GTK_CONTAINER(r_scroll),EX_BORDER);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (r_scroll),
				  GTK_POLICY_AUTOMATIC, 
				  GTK_POLICY_AUTOMATIC);
  gtk_table_attach_defaults(GTK_TABLE(Stable),r_scroll,0,4, 9,20);
  gtk_widget_show (r_scroll);  
  r_ent = gtk_list_new ();
  gtk_list_set_selection_mode (GTK_LIST (r_ent), GTK_SELECTION_MULTIPLE);
  gtk_list_set_selection_mode (GTK_LIST (r_ent), GTK_SELECTION_BROWSE);
  gtk_container_add (GTK_CONTAINER (r_scroll), r_ent);
  gtk_widget_show (r_ent);
  for(i=0;i<nl;i++) {
    list_item = gtk_list_item_new_with_label (list_items[i]);
    gtk_container_add (GTK_CONTAINER (r_ent), list_item);
    gtk_widget_show (list_item);
  }

  /*  */
  sql_box = gtk_vbox_new (FALSE,0);
  gtk_table_attach_defaults(GTK_TABLE(Stable),sql_box,4,5, 0,8);
  gtk_widget_show (sql_box);
  send_sql = gtk_button_new_with_label ("");
  gtk_box_pack_start (GTK_BOX(sql_box),send_sql,FALSE,FALSE,0);
  gtk_widget_show (send_sql);
  clear_sql = gtk_button_new_with_label ("");
  gtk_box_pack_start (GTK_BOX(sql_box),clear_sql,FALSE,FALSE,0);
  gtk_widget_show (clear_sql);
  cancel_sql = gtk_button_new_with_label ("");
  gtk_signal_connect (GTK_OBJECT (cancel_sql),"clicked",
		      GTK_SIGNAL_FUNC(CancelAction),
		      GTK_WIDGET (sql_query));
  gtk_box_pack_end (GTK_BOX(sql_box),cancel_sql,FALSE,FALSE,0);
  gtk_widget_show (cancel_sql);

 
  gtk_widget_show (sql_query);
}
