/* This one implements all kinds of junk */
#include <redbook.h>
#include <redsql.h>
#include <pixmaps.h>

void close_window (GtkWidget *widget, GtkWidget **window) {
  *window = NULL;
}

void CancelAction (GtkWidget *widget, GtkWidget *window) {
   gtk_widget_destroy (window);
}

void DoExit() {
  mysql_close(&book);
  gtk_exit(0);
}

void drop_info (GtkButton *button, GtkWidget *dialog) {
  gtk_widget_destroy(dialog);
}

void really_quit (GtkButton *button, GtkWidget *dialog) {
  gtk_widget_destroy(dialog);
  DoExit();
}

void red_quit (gchar *message) {
  GtkWidget *top,*label,*button;
  top = gtk_dialog_new();
  gtk_window_set_title(GTK_WINDOW(top)," ");
  gtk_window_position (GTK_WINDOW (top), GTK_WIN_POS_MOUSE);  
  gtk_container_border_width (GTK_CONTAINER(GTK_DIALOG(top)->action_area),
			      EX_BORDER);
  gtk_signal_connect (GTK_OBJECT (top), "delete_event",
                      GTK_SIGNAL_FUNC(close_window),
                      top);
  button = gtk_button_new_with_label ("");
  GTK_WIDGET_SET_FLAGS (button, GTK_CAN_DEFAULT);
  gtk_signal_connect (GTK_OBJECT (button), "clicked",
                      GTK_SIGNAL_FUNC(really_quit),
                      top);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (top)->action_area),
		      button, TRUE, TRUE, 0);
  gtk_widget_grab_default (button);
  gtk_widget_show (button);
  label = gtk_label_new (message);
  gtk_misc_set_padding (GTK_MISC (label), 10, 1);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (top)->vbox),
		      label, TRUE, TRUE, 0);
  gtk_widget_show(label);
  gtk_widget_show (top);
}

void red_info (gchar *message) {
  GtkWidget *top,*label,*button,
            *pixmapwid;
    GdkPixmap *pixmap;
    GdkBitmap *mask;
    GtkStyle  *style;

  top = gtk_dialog_new();
  gtk_window_set_title(GTK_WINDOW(top),"");
  gtk_window_position (GTK_WINDOW (top), GTK_WIN_POS_MOUSE);  
  gtk_container_border_width (GTK_CONTAINER(GTK_DIALOG(top)->action_area),
			      EX_BORDER);
  gtk_signal_connect (GTK_OBJECT (top), "delete_event",
                      GTK_SIGNAL_FUNC(close_window),
                      top);
  button = gtk_button_new_with_label ("");
  GTK_WIDGET_SET_FLAGS (button, GTK_CAN_DEFAULT);
  gtk_signal_connect (GTK_OBJECT (button), "clicked",
                      GTK_SIGNAL_FUNC(drop_info),
                      GTK_WIDGET(top));
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (top)->action_area),
		      button, TRUE, TRUE, 0);
  gtk_widget_grab_default (button);
  gtk_widget_show (button);

  style = gtk_widget_get_style(top);
  pixmap = gdk_pixmap_create_from_xpm_d(top->window,&mask,
					&style->bg[GTK_STATE_NORMAL],
					(gchar **)info_bell_xpm);
  pixmapwid = gtk_pixmap_new(pixmap,mask);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (top)->vbox),
		      pixmapwid, TRUE, TRUE, 0);
  gtk_widget_show(pixmapwid);

  label = gtk_label_new (message);
  gtk_misc_set_padding (GTK_MISC (label), 10, 1);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (top)->vbox),
		      label, TRUE, TRUE, 0);
  gtk_widget_show(label);


  gtk_widget_show (top);
}
