#ifndef __PIXBUTTON_H_
#define __PIXBUTTON_H_

#include <gtk/gtk.h>

GtkWidget *pixmap_button_new (GtkWidget *window, gchar **xpm) {
   GdkBitmap *mask;
   GdkPixmap *pixmap;
   GtkStyle  *style;
   GtkWidget *xpm_wid,*xpm_but;
       
   style  = gtk_widget_get_style(window);
   pixmap = gdk_pixmap_create_from_xpm_d(window->window,
                                         &mask,&style->bg[GTK_STATE_NORMAL],
                                         xpm);
   xpm_wid = gtk_pixmap_new(pixmap,mask);
   gtk_widget_show(xpm_wid);
   xpm_but = gtk_button_new();
   gtk_container_add(GTK_CONTAINER(xpm_but),xpm_wid);
   return xpm_but;
}
#endif /* __PIXBUTTON_H_ */
