/* This one implements Datebox */

#include <redbook.h>
#include <datebox.h>

static void datebox_class_init (DateboxClass *class) {
  class->datebox = NULL;
}

static void datebox_init (Datebox *ttt) {
  GtkWidget *box;
  
  box = gtk_hbox_new (FALSE,0);
  gtk_container_add(GTK_CONTAINER(ttt),box);
  gtk_widget_show(box);
  ttt->dd = gtk_entry_new();
  gtk_widget_set_usize(ttt->dd,25,ENTRY_HEIGHT);
  gtk_box_pack_start(GTK_BOX(box),ttt->dd,FALSE,FALSE,0);
  gtk_widget_show(ttt->dd);
  ttt->mm = gtk_entry_new();
  gtk_widget_set_usize(ttt->mm,25,ENTRY_HEIGHT);
  gtk_box_pack_start(GTK_BOX(box),ttt->mm,FALSE,FALSE,0);
  gtk_widget_show(ttt->mm);
  ttt->yy = gtk_entry_new();
  gtk_widget_set_usize(ttt->yy,40,ENTRY_HEIGHT);
  gtk_box_pack_start(GTK_BOX(box),ttt->yy,FALSE,FALSE,0);
  gtk_widget_show(ttt->yy);
}

guint datebox_get_type () {
  static guint ttt_type = 0;
  if (!ttt_type) {
      GtkTypeInfo ttt_info =
      {
        "Datebox",
        sizeof (Datebox),
        sizeof (DateboxClass),
        (GtkClassInitFunc) datebox_class_init,
        (GtkObjectInitFunc) datebox_init,
        (GtkArgFunc) NULL,
      };
      ttt_type = gtk_type_unique (gtk_hbox_get_type (), &ttt_info);
    }
  return ttt_type;
}
  
GtkWidget* datebox_new () {
  return GTK_WIDGET ( gtk_type_new (datebox_get_type ()));
}
