#include <redbook.h>
#include <datebox.h>
#include <basicinfo.h>

void w_academ_input(void);

gint StartAcademInfo (GtkWidget *widget, gpointer data) {
  w_academ_input();
  return TRUE;
}

void w_basic_input () {
  GtkWidget *basic_input,
            *TopBox,
            *Btable,
              *LastName_lab,*FirstName_lab,*MidName_lab,
              *sex_lab,*sexBox,
              *date_lab,
              *placeBirth_lab,
              *passport_lab,
              *passport_iss,
              *passport_who_lab,
              *sid_lab,
              *basic_data_box,
                    *save_basic_data,
   		    *start_academ,
                    *cancel_basic_data;

    basic_input = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    gtk_window_set_title(GTK_WINDOW(basic_input)," ");
    gtk_signal_connect(GTK_OBJECT(basic_input),"delete_event",
		       GTK_SIGNAL_FUNC(close_window),&basic_input);
    gtk_container_border_width(GTK_CONTAINER(basic_input),IN_BORDER);
    TopBox = gtk_hbox_new(FALSE,0);
    gtk_container_add(GTK_CONTAINER(basic_input),TopBox);
    gtk_widget_show(TopBox);

    Btable = gtk_table_new(6,5,FALSE);
    gtk_table_set_row_spacings(GTK_TABLE (Btable), 10);
    gtk_table_set_col_spacings(GTK_TABLE (Btable), 60);
    gtk_table_set_row_spacing(GTK_TABLE (Btable), 3, CLOSE_BORDER);
    gtk_table_set_col_spacing(GTK_TABLE (Btable), 0, EX_BORDER);
    gtk_table_set_col_spacing(GTK_TABLE (Btable), 2, EX_BORDER);
    gtk_container_border_width(GTK_CONTAINER(Btable),EX_BORDER);
    gtk_box_pack_start(GTK_BOX(TopBox),Btable,FALSE,FALSE,0);
    gtk_widget_show(Btable);

    /* ,   */
    LastName_lab  = gtk_label_new(" :");
    gtk_misc_set_alignment (GTK_MISC (LastName_lab), 1.0, 0.5);
    FirstName_lab = gtk_label_new(" :");
    gtk_misc_set_alignment (GTK_MISC (FirstName_lab), 1.0, 0.5);
    MidName_lab   = gtk_label_new(" :");
    gtk_misc_set_alignment (GTK_MISC (MidName_lab), 1.0, 0.5);
    gtk_table_attach_defaults(GTK_TABLE(Btable),LastName_lab,0,1, 0,1);
    gtk_table_attach_defaults(GTK_TABLE(Btable),FirstName_lab,0,1, 1,2);
    gtk_table_attach_defaults(GTK_TABLE(Btable),MidName_lab,0,1, 2,3);
    gtk_widget_show(LastName_lab);
    gtk_widget_show(FirstName_lab);
    gtk_widget_show(MidName_lab);
    LastName_ent  = gtk_entry_new();
    FirstName_ent = gtk_entry_new();
    MidName_ent   = gtk_entry_new();
    gtk_table_attach_defaults(GTK_TABLE(Btable),LastName_ent,1,2, 0,1);
    gtk_table_attach_defaults(GTK_TABLE(Btable),FirstName_ent,1,2, 1,2);
    gtk_table_attach_defaults(GTK_TABLE(Btable),MidName_ent,1,2, 2,3);
    gtk_widget_show(LastName_ent);
    gtk_widget_show(FirstName_ent);
    gtk_widget_show(MidName_ent);

    /*  */
    sex_lab = gtk_label_new(" :");
    gtk_misc_set_alignment (GTK_MISC (sex_lab), 1.0, 0.5);  
    gtk_table_attach_defaults(GTK_TABLE(Btable),sex_lab,2,3, 0,1);
    gtk_widget_show(sex_lab);
    sexBox = gtk_hbox_new(FALSE,0);
    Sex = gtk_radio_button_new_with_label(NULL,"");
    gtk_signal_connect (GTK_OBJECT(Sex),"toggled",
			GTK_SIGNAL_FUNC(SaveSex),
			&sex_pressed[0]);
    gtk_toggle_button_set_state(GTK_TOGGLE_BUTTON (Sex), TRUE);
    gtk_box_pack_start(GTK_BOX(sexBox),Sex,FALSE,FALSE,0);
    gtk_widget_show(Sex);
    Sex = gtk_radio_button_new_with_label(
	  gtk_radio_button_group(GTK_RADIO_BUTTON(Sex)),"");
    gtk_signal_connect (GTK_OBJECT(Sex),"toggled",
			GTK_SIGNAL_FUNC(SaveSex),
			&sex_pressed[1]);
    gtk_box_pack_start(GTK_BOX(sexBox),Sex,FALSE,FALSE,0);
    gtk_widget_show(Sex);
    gtk_widget_show(sexBox);
    gtk_table_attach_defaults(GTK_TABLE(Btable),sexBox,3,4, 0,1);

    /*   */
    date_lab = gtk_label_new("  :"); 
    gtk_misc_set_alignment (GTK_MISC (date_lab), 1.0, 0.5);  
    gtk_table_attach_defaults(GTK_TABLE(Btable),date_lab,2,3, 1,2);
    gtk_widget_show(date_lab);
    dateBox = datebox_new();
    gtk_table_attach_defaults(GTK_TABLE(Btable),dateBox,3,4, 1,2);
    gtk_widget_show(dateBox); 
    
    /*   */
    placeBirth_lab = gtk_label_new("  :");
    gtk_misc_set_alignment (GTK_MISC (placeBirth_lab), 1.0, 0.5);  
    gtk_table_attach_defaults(GTK_TABLE(Btable),placeBirth_lab,2,3, 2,3);
    gtk_widget_show(placeBirth_lab);
    placeBirth_ent = gtk_entry_new();
    gtk_table_attach_defaults(GTK_TABLE(Btable),placeBirth_ent,3,4, 2,3);
    gtk_widget_show(placeBirth_ent);
    
    /*   */
    passport_lab = gtk_label_new(" :");
    gtk_misc_set_alignment (GTK_MISC (passport_lab), 1.0, 0.5);  
    gtk_table_attach_defaults(GTK_TABLE(Btable),passport_lab,0,1, 3,4);
    gtk_widget_show(passport_lab);
    passport_ent = gtk_entry_new();
    gtk_table_attach_defaults(GTK_TABLE(Btable),passport_ent,1,2, 3,4); 
    gtk_widget_show(passport_ent);
    passport_iss = gtk_label_new(" :");
    gtk_misc_set_alignment (GTK_MISC (passport_iss), 1.0, 0.5);  
    gtk_table_attach_defaults(GTK_TABLE(Btable),passport_iss,0,1, 4,5);
    gtk_widget_show(passport_iss);
    passport_iss_date = datebox_new();
    gtk_table_attach_defaults(GTK_TABLE(Btable),passport_iss_date,1,2, 4,5);
    gtk_widget_show(passport_iss_date);
    passport_who_lab = gtk_label_new("  :");
    gtk_misc_set_alignment (GTK_MISC (passport_who_lab), 1.0, 0.5);    
    gtk_table_attach_defaults(GTK_TABLE(Btable),passport_who_lab,0,1, 5,6);  
    gtk_widget_show(passport_who_lab);  
    passport_who = gtk_entry_new();
    gtk_table_attach_defaults(GTK_TABLE(Btable),passport_who,1,3, 5,6);  
    gtk_widget_show(passport_who);
    
    /*   */
    sid_lab = gtk_label_new (".  :");
    gtk_misc_set_alignment (GTK_MISC (sid_lab), 1.0, 0.5);  
    gtk_table_attach_defaults(GTK_TABLE(Btable),sid_lab,2,3, 4,5);  
    gtk_widget_show(sid_lab);
    sid_ent = gtk_entry_new();
    gtk_table_attach_defaults(GTK_TABLE(Btable),sid_ent,3,4, 4,5);  
    gtk_widget_show(sid_ent);
    
    /*   */
    basic_data_box = gtk_vbox_new(FALSE,0);
    gtk_widget_show(basic_data_box);  
    
    save_basic_data = gtk_button_new_with_label("");
    gtk_signal_connect(GTK_OBJECT(save_basic_data),"clicked",
		       GTK_SIGNAL_FUNC(GetBasicInfo),NULL);
    if(mode == 0) gtk_widget_set_sensitive(save_basic_data,FALSE);
    gtk_box_pack_start(GTK_BOX(basic_data_box),save_basic_data,FALSE,FALSE,0);
    gtk_widget_show(save_basic_data);

    start_academ = gtk_button_new_with_label (".");
    gtk_signal_connect (GTK_OBJECT(start_academ),"clicked",
			GTK_SIGNAL_FUNC(StartAcademInfo),NULL);
    if(mode == 0) gtk_widget_set_sensitive(start_academ,FALSE);
    gtk_box_pack_start (GTK_BOX(basic_data_box),start_academ,FALSE,FALSE,0);
    gtk_widget_show (start_academ);
   
    cancel_basic_data = gtk_button_new_with_label("");
    gtk_signal_connect(GTK_OBJECT(cancel_basic_data),"clicked",
		       GTK_SIGNAL_FUNC(CancelAction),
		       GTK_WIDGET(basic_input));
    gtk_box_pack_end(GTK_BOX(basic_data_box),cancel_basic_data,FALSE,FALSE,0);
    gtk_widget_show(cancel_basic_data);
    
    gtk_table_attach_defaults(GTK_TABLE(Btable),basic_data_box,4,5, 0,5);  
    gtk_widget_show(basic_input);
}
